/***************************************************************************
                RC Management Daemon Global Setting ( rc_mngd.h )
                -----------------------------------------
	begin      : 2013/02/13
	copyright  : (C) 2013 Solbox Inc.
	author     : Development 1 Team
	email      : dev1@solbox.com
	version    : 3.2.0

    CopyRight(C) 2011 Solbox Inc. All Rights reserved.
    Redistribution and use in source and binary forms, with or with out
    modification, are not permitted in outside of Solbox Inc.
***************************************************************************/
#ifndef	__RC_MMNGD_H__
#define	__RC_MMNGD_H__

#include <sys/types.h>
#include <sys/wait.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <sys/socket.h>
#include <netdb.h>
#include <netinet/tcp.h>
#include <arpa/inet.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <openssl/ssl.h>
#include <openssl/err.h>
#include <stdlib.h>
#include <signal.h>
#include <errno.h>
#include <stdio.h>
#include <string.h>
#include <stdarg.h>
#include <iostream>
#include <vector>
#include <map>
#include <list>
#include <sstream>

using namespace std;

#define  LOGACONSOLE(level, msg) \
	if(level >= LDBG) {\
	_LOG( level, "%s", msg.str().c_str());\
	cout << msg.str() << endl; msg.str("");}\
	else  {\
	LOG( level, "%s", msg.str().c_str());\
	cerr << msg.str() << endl; msg.str("");}\
	msg.str("");

#endif // __RC_MMNGD_H__
